Subject: bug#73709: 29.4; Doc of `file-newer-than-file-p'

From: Michael Heerdegen <[email-masked]>
Date: Wed, 09 Oct 2024 02:45:44 +0200

Drew Adams via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> It's not about any implementation details.  It's about
> what's meant here by "newer".  And the answer is that
> it's about the recentness of the last modification.

It's not obvious that the time that a file existed is not meant.
Creation time is what came to my mind, and I find the actual meaning a
bit surprising.  Maybe I even didn't use this function where I should
have and reinvented the thing because of a wrong expectation.  So a +1
from me for trying to make it clearer.

I know already saving files may create a new file and rename the
existing one to a backup name - or keep the file etc.  But anyway, let's
at least say that creation time is not meant, but most of the time, last
file modification.

Michael.